Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/3
Addresses2^125
/64 networks2^61
Network
2000::/3
First address
2000::
Last address
3fff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)
/64 networks (LANs)
2,305,843,009,213,693,952 (2^61)
Full form
2000:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
2.ip6.arpa
3.ip6.arpa
/3 is not on a 4-bit boundary, so it takes 2 /4 zones.
Split into smaller subnets/16

2000::/3 makes 8,192 subnets of /16; the first 256 are listed.

Subnets
#SubnetLast address
12000::/162000:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22001::/162001:ffff:ffff:ffff:ffff:ffff:ffff:ffff
32002::/162002:ffff:ffff:ffff:ffff:ffff:ffff:ffff
42003::/162003:ffff:ffff:ffff:ffff:ffff:ffff:ffff
52004::/162004:ffff:ffff:ffff:ffff:ffff:ffff:ffff
62005::/162005:ffff:ffff:ffff:ffff:ffff:ffff:ffff
72006::/162006:ffff:ffff:ffff:ffff:ffff:ffff:ffff
82007::/162007:ffff:ffff:ffff:ffff:ffff:ffff:ffff
92008::/162008:ffff:ffff:ffff:ffff:ffff:ffff:ffff
102009::/162009:ffff:ffff:ffff:ffff:ffff:ffff:ffff
11200a::/16200a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
12200b::/16200b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
13200c::/16200c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
14200d::/16200d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
15200e::/16200e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16200f::/16200f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172010::/162010:ffff:ffff:ffff:ffff:ffff:ffff:ffff
182011::/162011:ffff:ffff:ffff:ffff:ffff:ffff:ffff
192012::/162012:ffff:ffff:ffff:ffff:ffff:ffff:ffff
202013::/162013:ffff:ffff:ffff:ffff:ffff:ffff:ffff
212014::/162014:ffff:ffff:ffff:ffff:ffff:ffff:ffff
222015::/162015:ffff:ffff:ffff:ffff:ffff:ffff:ffff
232016::/162016:ffff:ffff:ffff:ffff:ffff:ffff:ffff
242017::/162017:ffff:ffff:ffff:ffff:ffff:ffff:ffff
252018::/162018:ffff:ffff:ffff:ffff:ffff:ffff:ffff
262019::/162019:ffff:ffff:ffff:ffff:ffff:ffff:ffff
27201a::/16201a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
28201b::/16201b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
29201c::/16201c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
30201d::/16201d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
31201e::/16201e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
32201f::/16201f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332020::/162020:ffff:ffff:ffff:ffff:ffff:ffff:ffff
342021::/162021:ffff:ffff:ffff:ffff:ffff:ffff:ffff
352022::/162022:ffff:ffff:ffff:ffff:ffff:ffff:ffff
362023::/162023:ffff:ffff:ffff:ffff:ffff:ffff:ffff
372024::/162024:ffff:ffff:ffff:ffff:ffff:ffff:ffff
382025::/162025:ffff:ffff:ffff:ffff:ffff:ffff:ffff
392026::/162026:ffff:ffff:ffff:ffff:ffff:ffff:ffff
402027::/162027:ffff:ffff:ffff:ffff:ffff:ffff:ffff
412028::/162028:ffff:ffff:ffff:ffff:ffff:ffff:ffff
422029::/162029:ffff:ffff:ffff:ffff:ffff:ffff:ffff
43202a::/16202a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
44202b::/16202b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
45202c::/16202c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
46202d::/16202d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
47202e::/16202e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
48202f::/16202f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492030::/162030:ffff:ffff:ffff:ffff:ffff:ffff:ffff
502031::/162031:ffff:ffff:ffff:ffff:ffff:ffff:ffff
512032::/162032:ffff:ffff:ffff:ffff:ffff:ffff:ffff
522033::/162033:ffff:ffff:ffff:ffff:ffff:ffff:ffff
532034::/162034:ffff:ffff:ffff:ffff:ffff:ffff:ffff
542035::/162035:ffff:ffff:ffff:ffff:ffff:ffff:ffff
552036::/162036:ffff:ffff:ffff:ffff:ffff:ffff:ffff
562037::/162037:ffff:ffff:ffff:ffff:ffff:ffff:ffff
572038::/162038:ffff:ffff:ffff:ffff:ffff:ffff:ffff
582039::/162039:ffff:ffff:ffff:ffff:ffff:ffff:ffff
59203a::/16203a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
60203b::/16203b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
61203c::/16203c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
62203d::/16203d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
63203e::/16203e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
64203f::/16203f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652040::/162040:ffff:ffff:ffff:ffff:ffff:ffff:ffff
662041::/162041:ffff:ffff:ffff:ffff:ffff:ffff:ffff
672042::/162042:ffff:ffff:ffff:ffff:ffff:ffff:ffff
682043::/162043:ffff:ffff:ffff:ffff:ffff:ffff:ffff
692044::/162044:ffff:ffff:ffff:ffff:ffff:ffff:ffff
702045::/162045:ffff:ffff:ffff:ffff:ffff:ffff:ffff
712046::/162046:ffff:ffff:ffff:ffff:ffff:ffff:ffff
722047::/162047:ffff:ffff:ffff:ffff:ffff:ffff:ffff
732048::/162048:ffff:ffff:ffff:ffff:ffff:ffff:ffff
742049::/162049:ffff:ffff:ffff:ffff:ffff:ffff:ffff
75204a::/16204a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
76204b::/16204b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
77204c::/16204c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
78204d::/16204d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
79204e::/16204e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
80204f::/16204f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812050::/162050:ffff:ffff:ffff:ffff:ffff:ffff:ffff
822051::/162051:ffff:ffff:ffff:ffff:ffff:ffff:ffff
832052::/162052:ffff:ffff:ffff:ffff:ffff:ffff:ffff
842053::/162053:ffff:ffff:ffff:ffff:ffff:ffff:ffff
852054::/162054:ffff:ffff:ffff:ffff:ffff:ffff:ffff
862055::/162055:ffff:ffff:ffff:ffff:ffff:ffff:ffff
872056::/162056:ffff:ffff:ffff:ffff:ffff:ffff:ffff
882057::/162057:ffff:ffff:ffff:ffff:ffff:ffff:ffff
892058::/162058:ffff:ffff:ffff:ffff:ffff:ffff:ffff
902059::/162059:ffff:ffff:ffff:ffff:ffff:ffff:ffff
91205a::/16205a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
92205b::/16205b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
93205c::/16205c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
94205d::/16205d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
95205e::/16205e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
96205f::/16205f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972060::/162060:ffff:ffff:ffff:ffff:ffff:ffff:ffff
982061::/162061:ffff:ffff:ffff:ffff:ffff:ffff:ffff
992062::/162062:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1002063::/162063:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1012064::/162064:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1022065::/162065:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1032066::/162066:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1042067::/162067:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1052068::/162068:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1062069::/162069:ffff:ffff:ffff:ffff:ffff:ffff:ffff
107206a::/16206a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
108206b::/16206b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
109206c::/16206c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
110206d::/16206d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
111206e::/16206e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
112206f::/16206f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132070::/162070:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1142071::/162071:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1152072::/162072:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1162073::/162073:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1172074::/162074:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1182075::/162075:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1192076::/162076:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1202077::/162077:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1212078::/162078:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1222079::/162079:ffff:ffff:ffff:ffff:ffff:ffff:ffff
123207a::/16207a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
124207b::/16207b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
125207c::/16207c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
126207d::/16207d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
127207e::/16207e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
128207f::/16207f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292080::/162080:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1302081::/162081:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1312082::/162082:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1322083::/162083:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1332084::/162084:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1342085::/162085:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1352086::/162086:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1362087::/162087:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1372088::/162088:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1382089::/162089:ffff:ffff:ffff:ffff:ffff:ffff:ffff
139208a::/16208a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
140208b::/16208b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
141208c::/16208c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
142208d::/16208d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
143208e::/16208e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
144208f::/16208f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452090::/162090:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1462091::/162091:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1472092::/162092:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1482093::/162093:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1492094::/162094:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1502095::/162095:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1512096::/162096:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1522097::/162097:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1532098::/162098:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1542099::/162099:ffff:ffff:ffff:ffff:ffff:ffff:ffff
155209a::/16209a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
156209b::/16209b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
157209c::/16209c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
158209d::/16209d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
159209e::/16209e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
160209f::/16209f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16120a0::/1620a0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16220a1::/1620a1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16320a2::/1620a2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16420a3::/1620a3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16520a4::/1620a4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16620a5::/1620a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16720a6::/1620a6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16820a7::/1620a7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16920a8::/1620a8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17020a9::/1620a9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17120aa::/1620aa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17220ab::/1620ab:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17320ac::/1620ac:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17420ad::/1620ad:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17520ae::/1620ae:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17620af::/1620af:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17720b0::/1620b0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17820b1::/1620b1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17920b2::/1620b2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18020b3::/1620b3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18120b4::/1620b4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18220b5::/1620b5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18320b6::/1620b6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18420b7::/1620b7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18520b8::/1620b8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18620b9::/1620b9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18720ba::/1620ba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18820bb::/1620bb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18920bc::/1620bc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19020bd::/1620bd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19120be::/1620be:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19220bf::/1620bf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19320c0::/1620c0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19420c1::/1620c1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19520c2::/1620c2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19620c3::/1620c3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19720c4::/1620c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19820c5::/1620c5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19920c6::/1620c6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20020c7::/1620c7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20120c8::/1620c8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20220c9::/1620c9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20320ca::/1620ca:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20420cb::/1620cb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20520cc::/1620cc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20620cd::/1620cd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20720ce::/1620ce:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20820cf::/1620cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20920d0::/1620d0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21020d1::/1620d1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21120d2::/1620d2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21220d3::/1620d3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21320d4::/1620d4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21420d5::/1620d5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21520d6::/1620d6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21620d7::/1620d7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21720d8::/1620d8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21820d9::/1620d9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21920da::/1620da:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22020db::/1620db:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22120dc::/1620dc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22220dd::/1620dd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22320de::/1620de:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22420df::/1620df:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22520e0::/1620e0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22620e1::/1620e1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22720e2::/1620e2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22820e3::/1620e3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22920e4::/1620e4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23020e5::/1620e5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23120e6::/1620e6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23220e7::/1620e7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23320e8::/1620e8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23420e9::/1620e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23520ea::/1620ea:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23620eb::/1620eb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23720ec::/1620ec:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23820ed::/1620ed:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23920ee::/1620ee:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24020ef::/1620ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24120f0::/1620f0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24220f1::/1620f1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24320f2::/1620f2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24420f3::/1620f3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24520f4::/1620f4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24620f5::/1620f5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24720f6::/1620f6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24820f7::/1620f7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24920f8::/1620f8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25020f9::/1620f9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25120fa::/1620fa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25220fb::/1620fb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25320fc::/1620fc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25420fd::/1620fd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25520fe::/1620fe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25620ff::/1620ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses